LeaderElectionBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class LeaderElectionBean

- java.lang.Object
- - org.apache.zookeeper.server.quorum.LeaderElectionBean

- All Implemented Interfaces:
    ZKMBeanInfo, LeaderElectionMXBean

      public class LeaderElectionBean
      extends Object
      implements LeaderElectionMXBean, ZKMBeanInfo

  Leader election MBean interface implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeaderElectionBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getStartTime()`
    `boolean` | `isHidden()` If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LeaderElectionBean

          public LeaderElectionBean()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ZKMBeanInfo`
      Returns:
        a string identifying the MBean

    - #### isHidden

          public boolean isHidden()

      Description copied from interface: `ZKMBeanInfo`
      If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools. Used for grouping MBeans.
      Specified by:
        `isHidden` in interface `ZKMBeanInfo`
      Returns:
        true if the MBean is hidden.

    - #### getStartTime

          public String getStartTime()

      Specified by:
        `getStartTime` in interface `LeaderElectionMXBean`
      Returns:
        the time when the leader election started

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.